#include "fw.h"
#include "io.h"
#include "abcio.h"
#include "sys.h"
#include "console.h"

volatile bool dont_gc = false;	/* Keep things from linker gc */

void main(void)
{
    init();

    if (dont_gc)
	run_test_image();

    while (1) {
	wait_for_irq();
	if (unlikely(do_write_rtc))
	    write_rtc();
	abcdisk_io_poll();
    }
}
